Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ComboLocator Class Reference

The class implements a lines-based Monte Carlo self-localization. More...

`#include <ComboLocator.h>`

Inheritance diagram for ComboLocator:

[legend]
Collaboration diagram for ComboLocator:

[legend]
List of all members.

## Public Types
enum | { NO_OF_FRAMES = 3000 }
## Public Member Functions
| ComboLocator (const SelfLocatorInterfaces &interfaces)
| Constructor.
| ~ComboLocator (void)
virtual void | execute ()
| The function executes the module.
virtual bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
## Private Attributes
SelfLocator * | locator1
SelfLocator * | locator2
Pose2D | currentPose
Pose2D | pose1
Pose2D | pose2
bool | finished
Vector2< double > | dummy
double * | result1
double * | result2
long | frames

## Detailed Description

The class implements a lines-based Monte Carlo self-localization.

Definition at line 18 of file ComboLocator.h.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  NO_OF_FRAMES |
Definition at line 33 of file ComboLocator.h.

## Constructor & Destructor Documentation

ComboLocator::ComboLocator | ( | const SelfLocatorInterfaces & | interfaces | ) |

  | Constructor. Parameters:
  interfaces | The paramters of the SelfLocator module.
Definition at line 18 of file ComboLocator.cpp. References locator1, locator2, NO_OF_FRAMES, result1, and result2.

ComboLocator::~ComboLocator | ( | void |  | ) |

| Definition at line 29 of file ComboLocator.cpp. References locator1, locator2, result1, and result2.

## Member Function Documentation

void ComboLocator::execute | ( |  | ) | `[virtual]`

| The function executes the module. Reimplemented from Module. Definition at line 38 of file ComboLocator.cpp. References Vector2< double >::abs(), dummy, Module::execute(), GTCamWorldState::getRobotPose(), idText, locator1, locator2, NO_OF_FRAMES, OUTPUT, pose1, pose2, result1, result2, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

bool ComboLocator::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Reimplemented from Module. Definition at line 69 of file ComboLocator.cpp.

## Member Data Documentation

SelfLocator* ComboLocator::locator1`[private]`

| Definition at line 21 of file ComboLocator.h. Referenced by ComboLocator(), execute(), and ~ComboLocator().

SelfLocator* ComboLocator::locator2`[private]`

| Definition at line 22 of file ComboLocator.h. Referenced by ComboLocator(), execute(), and ~ComboLocator().

Pose2D ComboLocator::currentPose`[private]`

| Definition at line 23 of file ComboLocator.h.

Pose2D ComboLocator::pose1`[private]`

| Definition at line 24 of file ComboLocator.h. Referenced by execute().

Pose2D ComboLocator::pose2`[private]`

| Definition at line 25 of file ComboLocator.h. Referenced by execute().

bool ComboLocator::finished`[private]`

| Definition at line 26 of file ComboLocator.h.

Vector2<double> ComboLocator::dummy`[private]`

| Definition at line 27 of file ComboLocator.h. Referenced by execute().

double* ComboLocator::result1`[private]`

| Definition at line 29 of file ComboLocator.h. Referenced by ComboLocator(), execute(), and ~ComboLocator().

double * ComboLocator::result2`[private]`

| Definition at line 29 of file ComboLocator.h. Referenced by ComboLocator(), execute(), and ~ComboLocator().

long ComboLocator::frames`[private]`

| Definition at line 30 of file ComboLocator.h.

The documentation for this class was generated from the following files:

- Modules/SelfLocator/ComboLocator.h
- Modules/SelfLocator/ComboLocator.cpp